"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onSearchShortcut = exports.onFileShortcut = exports.onActionShortcut = void 0;
var _labels = require("../labels");
var _actions = require("../redux/actions");
var Util = _interopRequireWildcard(require("./util"));
var _initializer = require("../initializer");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
//maybe should be changed

const onFileShortcut = (physicalKey, viewStatus) => {
  const showNotification = (0, _initializer.getNotificationMethod)();
  setTimeout(() => {
    const fileInputElements = document.querySelectorAll('input[type=file]');
    console.log("filinput", fileInputElements);
    console.log("filinput active", document.activeElement);
    //uploading only should works for CEV
    if (viewStatus && viewStatus.tdl.type === "CEV") {
      const indx = parseInt(physicalKey) - 1;
      if (indx < fileInputElements.length) fileInputElements[indx].click();
    }
  }, 500);
};
exports.onFileShortcut = onFileShortcut;
const onActionShortcut = (physicalKey, viewStatus, dispatch) => {
  const usecaseId = viewStatus.usecaseId;
  const indx = parseInt(physicalKey) - 1;
  const acts = viewStatus.getAvailableHeaderActions()[0];
  if (indx < acts.length) {
    const action = viewStatus.getAvailableHeaderActions()[0][indx];
    if (!action) {
      return false;
    }
    if (!Util.isAvailableAction(action)) {
      (0, _initializer.getNotificationMethod)({
        message: (0, _labels.getTranslation)("actionNotAvailable"),
        type: "error"
      });
      return false;
    }
    if (viewStatus) {
      dispatch((0, _actions.setCurrentObjectPath)(usecaseId, ""));
      dispatch((0, _actions.sendRefreshRequest)(usecaseId, true, response => {
        if (response.data.output.errorMessages.length == 0) {
          dispatch((0, _actions.executeAction)(usecaseId, action.tdlId, action.responseType, () => {}));
        } else console.log("there is an error");
      }));
    }
  }
};
exports.onActionShortcut = onActionShortcut;
const onSearchShortcut = (viewStatus, dispatch) => {
  //search only for SMS pages
  if (viewStatus && viewStatus.tdl.type === "SMS") {
    dispatch((0, _actions.sendSearchRequest)(viewStatus.usecaseId));
  }
};
exports.onSearchShortcut = onSearchShortcut;